Bug 1190390 - Review Request: carbon-c-relay - Enhanced C implementation of Carbon relay, aggregator and rewriter
Summary: Review Request: carbon-c-relay - Enhanced C implementation of Carbon relay, a...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: gil cattaneo
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-02-07 22:02 UTC by Piotr Popieluch
Modified: 2015-04-25 23:51 UTC (History)
3 users (show)

Fixed In Version: carbon-c-relay-0.39-2.el7
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-04-21 19:03:23 UTC
Type: ---
puntogil: fedora-review+
puiterwijk: fedora-cvs+


Attachments (Terms of Use)

Description Piotr Popieluch 2015-02-07 22:02:38 UTC
Spec URL: https://piotrp.fedorapeople.org/carbon-c-relay.spec
SRPM URL: https://piotrp.fedorapeople.org/carbon-c-relay-0.37-1.fc21.src.rpm
Description: Enhanced C implementation of Carbon relay, aggregator and rewriter
Fedora Account System Username: piotrp

Comment 1 Carlos Morel-Riquelme 2015-02-13 16:58:01 UTC
Hello Piotr, this is a INFORMAL REVIEW , i'm not a package sponsor, but i can help you to solved some warnings or issues.

-------------------------------------------------------------------------------
Warnings

Checking: carbon-c-relay-0.37-1.fc22.x86_64.rpm
          carbon-c-relay-0.37-1.fc22.src.rpm
carbon-c-relay.x86_64: W: spelling-error Summary(en_US) aggregator -> aggregation, aggregate
carbon-c-relay.x86_64: W: spelling-error Summary(en_US) rewriter -> rewrite, rewrites, re writer
carbon-c-relay.x86_64: W: spelling-error %description -l en_US configurability -> configuration
carbon-c-relay.x86_64: W: spelling-error %description -l en_US multithreaded -> multicolored
carbon-c-relay.x86_64: W: no-manual-page-for-binary carbon-c-relay
carbon-c-relay.src: W: spelling-error Summary(en_US) aggregator -> aggregation, aggregate
carbon-c-relay.src: W: spelling-error Summary(en_US) rewriter -> rewrite, rewrites, re writer
carbon-c-relay.src: W: spelling-error %description -l en_US configurability -> configuration
carbon-c-relay.src: W: spelling-error %description -l en_US multithreaded -> multicolored
2 packages and 0 specfiles checked; 0 errors, 9 warnings.
------------------------------------------------------------------------------

The W: spelling-error => For solved this warnings just replace the words suitable for the words recommended.

example change "aggregator" to aggregate or aggregation.

The W: no-manual-page-for-binary => Pass this.

-----------------------------------------------------------------------------


Regards :)

Comment 2 Piotr Popieluch 2015-02-14 21:39:47 UTC
Thank you for checking.

Aggregator is a proper English word, I don't plan to change that because of the spelling checker. 

I don't think a man page is needed, the readme is really good.

Comment 3 Piotr Popieluch 2015-03-28 21:40:54 UTC
Update to latest upstream:

Spec URL: https://piotrp.fedorapeople.org/carbon-c-relay.spec
SRPM URL: https://piotrp.fedorapeople.org/carbon-c-relay-0.39-1.fc21.src.rpm

Comment 4 Piotr Popieluch 2015-03-28 21:56:25 UTC
I am offering review swap for anyone doing a review on this package

Comment 5 gil cattaneo 2015-03-29 00:55:20 UTC
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
- If (and only if) the source package includes the text of the license(s) in
  its own file, then that file, containing the text of the license(s) for the
  package is included in %doc.
  Note: Cannot find LICENSE.md in rpm(s)
  See:
  http://fedoraproject.org/wiki/Packaging/LicensingGuidelines#License_Text
 IGNORE but, please remove: %{!?_licensedir:%global license %%doc}

===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
     Note: Using prebuilt packages
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "Apache (v2.0)". Detailed output of licensecheck in
     /home/gil/1190390-carbon-c-relay/review-carbon-c-relay/licensecheck.txt
[x]: Package requires other packages for directories it uses.
     Note: No known owner of /usr/share/licenses
[x]: Package must own all directories that it creates.
     Note: Directories without known owners: /usr/share/licenses
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
     Note: Using prebuilt rpms.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[!]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
     Note: rm -rf %{buildroot} present but not required
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[x]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 30720 bytes in 1 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: Package does not own files or directories owned by other packages.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: %config files are marked noreplace or the reason is justified.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: No %config files under /usr.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[!]: Reviewer should test that the package builds in mock.
[x]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[?]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present (not strictly required in GL).
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Uses parallel make %{?_smp_mflags} macro.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: carbon-c-relay-0.39-1.fc23.i686.rpm
          carbon-c-relay-0.39-1.fc21.src.rpm
carbon-c-relay.i686: W: spelling-error Summary(en_US) aggregator -> aggregation, aggregate
carbon-c-relay.i686: W: spelling-error Summary(en_US) rewriter -> rewrite, rewrites, re writer
carbon-c-relay.i686: W: spelling-error %description -l en_US configurability -> configuration
carbon-c-relay.i686: W: spelling-error %description -l en_US multithreaded -> multicolored
carbon-c-relay.i686: W: no-manual-page-for-binary carbon-c-relay
carbon-c-relay.src: W: spelling-error Summary(en_US) aggregator -> aggregation, aggregate
carbon-c-relay.src: W: spelling-error Summary(en_US) rewriter -> rewrite, rewrites, re writer
carbon-c-relay.src: W: spelling-error %description -l en_US configurability -> configuration
carbon-c-relay.src: W: spelling-error %description -l en_US multithreaded -> multicolored
2 packages and 0 specfiles checked; 0 errors, 9 warnings.




Rpmlint (installed packages)
----------------------------
Cannot parse rpmlint output:


Requires
--------
carbon-c-relay (rpmlib, GLIBC filtered):
    /bin/sh
    config(carbon-c-relay)
    libc.so.6
    libcrypto.so.10
    libcrypto.so.10(libcrypto.so.10)
    libpthread.so.0
    libssl.so.10
    rtld(GNU_HASH)
    shadow-utils
    systemd



Provides
--------
carbon-c-relay:
    carbon-c-relay
    carbon-c-relay(x86-32)
    config(carbon-c-relay)



Source checksums
----------------
https://github.com/grobian/carbon-c-relay/archive/20076363b928af35357f4a781227dfdc2751979c.tar.gz#/carbon-c-relay-20076363b928af35357f4a781227dfdc2751979c.tar.gz :
  CHECKSUM(SHA256) this package     : 03679910ccc48a6620cc2d264dc262745f41342473ea784cc4b95a52449e72e6
  CHECKSUM(SHA256) upstream package : 03679910ccc48a6620cc2d264dc262745f41342473ea784cc4b95a52449e72e6


Generated by fedora-review 0.5.2 (63c24cb) last change: 2014-07-14
Command line :/usr/bin/fedora-review -vpn carbon-c-relay -m fedora-rawhide-i386
Buildroot used: fedora-rawhide-i386
Active plugins: Generic, Shell-api, C/C++
Disabled plugins: Java, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, EPEL5, BATCH, DISTTAG

Comment 6 gil cattaneo 2015-03-29 00:58:00 UTC
Issues:
- If (and only if) the source package includes the text of the license(s) in
  its own file, then that file, containing the text of the license(s) for the
  package is included in %doc.
  See:
  http://fedoraproject.org/wiki/Packaging/LicensingGuidelines#License_Text
 IGNORE but, please remove: %{!?_licensedir:%global license %%doc}

[!]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
     Note: rm -rf %{buildroot} present but not required

aren't really blocking issues, please fix them before import
APPROVED

Comment 7 Piotr Popieluch 2015-03-29 09:23:03 UTC
Thank you!

The licensedir macro is needed for building on el6. I will add a comment to claridy that.

Please let me know which review request you want me to do.


New Package SCM Request
=======================
Package Name: carbon-c-relay
Short Description: Enhanced C implementation of Carbon relay, aggregator and rewriter
Upstream URL: https://github.com/grobian/carbon-c-relay
Owners: piotrp
Branches: f20 f21 f22 el6 epel7

Comment 8 Patrick Uiterwijk 2015-03-30 20:08:56 UTC
Git done (by process-git-requests).

Comment 9 Fedora Update System 2015-03-31 15:52:30 UTC
carbon-c-relay-0.39-1.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/carbon-c-relay-0.39-1.fc22

Comment 10 Fedora Update System 2015-03-31 15:53:19 UTC
carbon-c-relay-0.39-1.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/carbon-c-relay-0.39-1.fc21

Comment 11 Fedora Update System 2015-03-31 15:55:49 UTC
carbon-c-relay-0.39-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/carbon-c-relay-0.39-1.fc20

Comment 12 Fedora Update System 2015-03-31 15:56:14 UTC
carbon-c-relay-0.39-1.el7 has been submitted as an update for Fedora EPEL 7.
https://admin.fedoraproject.org/updates/carbon-c-relay-0.39-1.el7

Comment 13 Fedora Update System 2015-03-31 15:59:57 UTC
carbon-c-relay-0.39-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/carbon-c-relay-0.39-1.el6

Comment 14 Fedora Update System 2015-04-01 02:00:05 UTC
carbon-c-relay-0.39-1.el7 has been pushed to the Fedora EPEL 7 testing repository.

Comment 15 Fedora Update System 2015-04-02 21:51:45 UTC
carbon-c-relay-0.39-2.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/carbon-c-relay-0.39-2.fc22

Comment 16 Fedora Update System 2015-04-02 21:52:20 UTC
carbon-c-relay-0.39-2.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/carbon-c-relay-0.39-2.fc21

Comment 17 Fedora Update System 2015-04-02 21:52:44 UTC
carbon-c-relay-0.39-2.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/carbon-c-relay-0.39-2.fc20

Comment 18 Fedora Update System 2015-04-02 21:53:09 UTC
carbon-c-relay-0.39-2.el7 has been submitted as an update for Fedora EPEL 7.
https://admin.fedoraproject.org/updates/carbon-c-relay-0.39-2.el7

Comment 19 Fedora Update System 2015-04-02 21:53:34 UTC
carbon-c-relay-0.39-2.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/carbon-c-relay-0.39-2.el6

Comment 20 Fedora Update System 2015-04-21 19:03:23 UTC
carbon-c-relay-0.39-2.fc22 has been pushed to the Fedora 22 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 21 Fedora Update System 2015-04-25 23:51:25 UTC
carbon-c-relay-0.39-2.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 22 Fedora Update System 2015-04-25 23:51:39 UTC
carbon-c-relay-0.39-2.el7 has been pushed to the Fedora EPEL 7 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.